QID 239593

Date Published: 2021-09-02

QID 239593: Red Hat Update for kpatch-patch (RHSA-2021:3380)

This is a kernel live patch module which is automatically loaded by the RPM post-install script to modify the code of a running kernel.

Security Fix(es): kernel: race condition in net/can/bcm.c leads to local privilege escalation (CVE-2021-3609) kernel: Improper handling of VM_IO|VM_PFNMAP vmas in KVM can bypass RO checks (CVE-2021-22543) kernel: out-of-bounds write in xt_compat_target_from_user()
in net/netfilter/x_tables.c (CVE-2021-22555) kernel: race condition for removal of the HCI controller (CVE-2021-32399)

Affected Products:

Red Hat Enterprise Linux for x86_64 - Extended Update Support 8.2 x86_64
Red Hat Enterprise Linux Server - AUS 8.2 x86_64
Red Hat Enterprise Linux for Power, little endian - Extended Update Support 8.2 ppc64le
Red Hat Enterprise Linux Server - TUS 8.2 x86_64
Red Hat Enterprise Linux Server (for IBM Power LE) - Update Services for SAP Solutions 8.2 ppc64le
Red Hat Enterprise Linux Server - Update Services for SAP Solutions 8.2 x86_64

Note: The preceding description block is extracted directly from the security advisory. Using automation, we have attempted to clean and format it as much as possible without introducing additional issues.

On successful exploitation, it could allow an attacker to execute code.

  • CVSS V3 rated as High - 7.8 severity.
  • CVSS V2 rated as Medium - 4.6 severity.
  • Solution
    Upgrade to the latest packages which contain a patch. Refer to Applying Package Updates to RHEL system for details.

    Refer to Red Hat security advisory RHSA-2021:3380 to address this issue and obtain more information.

    Vendor References

    CVEs related to QID 239593

    Software Advisories
    Advisory ID Software Component Link
    RHSA-2021:3380 Red Hat Enterprise Linux URL Logo access.redhat.com/errata/RHSA-2021:3380?language=en